<?php
session_start();
include 'db.php'; // Include your database connection file

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Retrieve data from the form
    $userId = $_POST['user_id'];
    $userName = $_POST['userName'];
    $bankName = $_POST['bankName'];
    $bankNumber = $_POST['bankNumber'];
    $branch = $_POST['branch'];
    $amount = $_POST['withdrawalAmount'];

    // Query to get the user's total balance
    $query = "SELECT SUM(amount) AS total FROM wallet_transactions WHERE user_id = ? AND wallet_type = 'add'";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("i", $userId);
    $stmt->execute();
    $result = $stmt->get_result();
    $userBalance = $result->fetch_assoc()['total'] ?? 0;

    // Check if the withdrawal conditions are met
    if ($amount <= $userBalance - 200 && $amount >= 100) {
        // Insert withdrawal into the database
        $withdrawalQuery = "INSERT INTO wallet_transactions (user_id, amount, description, created_at, wallet_type, user_name, bank_name, bank_number, branch) VALUES (?, ?, ?, NOW(), 'withdrawal', ?, ?, ?, ?)";
        $description = "Withdrawal of ₹" . $amount;

        // Prepare the statement
        $stmt = $conn->prepare($withdrawalQuery);
        $stmt->bind_param("idsiss", $userId, $amount, $description, $userName, $bankName, $bankNumber, $branch);
        
        // Execute the statement
        if ($stmt->execute()) {
            // Success message
            echo "<script>alert('Withdrawal successful!'); window.location.href = 'wallet.php';</script>";
        } else {
            // Error message
            echo "<script>alert('Error processing withdrawal. Please try again.'); window.location.href = 'wallet.php';</script>";
        }
    } else {
        // Insufficient balance or invalid amount message
        echo "<script>alert('Insufficient balance or invalid amount. Minimum withdrawal: ₹100. Retain at least ₹200 in your balance.'); window.location.href = 'wallet.php';</script>";
    }
} else {
    // Invalid request message
    echo "<script>alert('Invalid request.'); window.location.href = 'wallet.php';</script>";
}
?>
